"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""" Plugin configuration
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

" Vim-Airline {{{

let g:airline_theme='gruvbox'
let g:airline_powerline_fonts=1

" }}}

" YouCompleteMe (disabled) {{{
" let g:ycm_min_num_of_chars_for_completion=3
" let g:ycm_auto_start_csharp_server=0
" let g:ycm_register_as_syntastic_checker=1
" let g:ycm_global_ycm_extra_conf = '~/.vim/.ycm_extra_conf.py'
" }}}

" Tagbar {{{

let g:tagbar_type_php={
    \ 'kinds' : [
        \ 'i:interfaces',
        \ 'c:classes',
        \ 'd:constant definitions:0:0',
        \ 'f:functions',
        \ 'j:javascript functions',
    \ ],
\ }

" }}}

" Ctrl-P {{{

" }}}

" deoplete {{{

let g:deoplete#enable_at_startup = 1

" Omnifunction config
let g:deoplete#omni#functions = {}

" let g:deoplete#omni#functions.cpp = []

let g:deoplete#sources = {}
" let g:deoplete#sources['cpp'] = ['buffer']

" }}}

" AG {{{

let g:ackprg = 'ag --nogroup --nocolor --column'

" }}}

" Ale {{{

" }}}

" deoplete-clang {{{

let g:deoplete#sources#clang#libclang_path = "/usr/lib/libclang.so"
let g:deoplete#sources#clang#clang_header = "/usr/include/clang"
let g:deoplete#sources#clang#clang_complete_database = "./compile_commands.json"

" }}}
