"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""" UI configuration
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

syntax on

colorscheme gruvbox
let g:gruvbox_contrast_dark="hard"

" Truecolor support in the terminal
set termguicolors
set background=dark

set ttyfast
set lazyredraw

set listchars=tab:>-
set nolist
set showcmd

set number
set relativenumber

set cursorline

set nowrap
set ruler
set rulerformat=%l/%L:%c

set textwidth=79

set equalalways
set splitbelow
set splitright

set wildmenu
set wildignore=*.o,*.class,*.hi,*.pdf,*.git,*.blg,*.bbl,*.aux,*.gcno,*.gcda

"set statusline=\ %F%m%r%h\ %w\ \ CWD:\ %r%{getcwd()}%h\ \ \ Line:\ %l/%L:%c

set showmode
set laststatus=2
set scrolloff=7
set cmdheight=2

set tabpagemax=100

" Ensure better behaviour within tmux and for neovim.
set timeout
set timeoutlen=0

set ttimeout
set ttimeoutlen=0

set completeopt=menuone
set completeopt-=preview
